# ClassificationResult (ARX GUI Documentation)

org.deidentifier.arx.aggregates.classification

## Interface ClassificationResult

- All Known Implementing Classes:
    MultiClassLogisticRegressionClassificationResult, MultiClassZeroRClassificationResult

      public interface ClassificationResult

  A classification result

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `confidence()` Returns the confidence of the result
    `boolean` | `correct(java.lang.String clazz)` Returns whether the result is correct
    `double` | `error(java.lang.String clazz)` Returns the error
    `int` | `index()` Returns the index of the predicted value

- - ### Method Detail

    - #### confidence

          double confidence()

      Returns the confidence of the result
      Returns:

    - #### correct

          boolean correct(java.lang.String clazz)

      Returns whether the result is correct
      Parameters:
        `clazz` -
      Returns:

    - #### error

          double error(java.lang.String clazz)

      Returns the error
      Parameters:
        `clazz` -
      Returns:

    - #### index

          int index()

      Returns the index of the predicted value
      Returns: